com.h3c.sdn.auditlog

## Enum AuditLogSortAttribute

- java.lang.Object
- - java.lang.Enum<AuditLogSortAttribute>
  - - com.h3c.sdn.auditlog.AuditLogSortAttribute

- All Implemented Interfaces:
    Serializable, Comparable<AuditLogSortAttribute>

      public enum AuditLogSortAttribute
      extends Enum<AuditLogSortAttribute>

  Defines the audit log entry attributes which may be used for data sorting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVITY` The activity associated with the audit log entry.
    `DESCRIPTION` The description associated with the audit log entry.
    `ORIGIN` The origin associated with the audit log entry.
    `SYSTEM` The system that created the alert.
    `TIMESTAMP` The time stamp associated with the audit log entry.
    `USER` The user associated with the audit log entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditLogSortAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditLogSortAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final AuditLogSortAttribute USER

      The user associated with the audit log entry.

    - #### ORIGIN

          public static final AuditLogSortAttribute ORIGIN

      The origin associated with the audit log entry.

    - #### TIMESTAMP

          public static final AuditLogSortAttribute TIMESTAMP

      The time stamp associated with the audit log entry.

    - #### ACTIVITY

          public static final AuditLogSortAttribute ACTIVITY

      The activity associated with the audit log entry.

    - #### DESCRIPTION

          public static final AuditLogSortAttribute DESCRIPTION

      The description associated with the audit log entry.

    - #### SYSTEM

          public static final AuditLogSortAttribute SYSTEM

      The system that created the alert.

  - ### Method Detail

    - #### values

          public static AuditLogSortAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditLogSortAttribute c : AuditLogSortAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditLogSortAttribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.